---
object_type: class
version: 1.0
object:
  attributes:
    description: 
    display_name: 
    name: external_provider
    type: 
    inherits: 
    visibility: 
    owner: 
  schema:
  - field:
      aetype: attribute
      name: debug
      display_name: 
      datatype: boolean
      priority: 1
      owner: 
      default_value: 'false'
      substitute: true
      message: create
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
  - field:
      aetype: method
      name: execute
      display_name: 
      datatype: string
      priority: 2
      owner: 
      default_value: 
      substitute: true
      message: create
      visibility: 
      collect: 
      scope: 
      description: 
      condition: 
      on_entry: 
      on_exit: 
      on_error: 
      max_retries: 
      max_time: 
